Commit 17066d8b by Łukasz Nowak Committed by Rafael Monnerat

component/openssl: Downgrade openssl to 1.1.0

openssl 1.1.1 has unresloved incompatibilities with python2.7
(https://bugs.python.org/issue32947), where 1.1.0 seems to work
(https://bugs.python.org/issue26470)

Also disable parallel make.

/reviewed-on !459
1 parent 111cc0d8
......@@ -17,8 +17,8 @@ parts =
[openssl]
recipe = slapos.recipe.cmmi
shared = true
url = https://www.openssl.org/source/openssl-1.1.1.tar.gz
md5sum = 7079eb017429e0ffb9efb42bf80ccb21
url = https://www.openssl.org/source/openssl-1.1.0j.tar.gz
md5sum = b4ca5b78ae6ae79da80790b30dbedbdc
location = @@LOCATION@@
# 'prefix' option to override --openssldir/--prefix (which is useful
# when combined with INSTALL_PREFIX). Used by slapos.package.git/obs
......@@ -37,7 +37,7 @@ configure-options =
make-options =
SHARED_LDFLAGS='-Wl,-rpath=${:location}/lib -Wl,-rpath=${zlib:location}/lib'
make-targets =
install_sw install_ssldirs &&
-j1 install_sw install_ssldirs &&
rm -f ${:certs}/* &&
for i in ${ca-certificates:location}/certs/*/*.crt; do
ln -sv $i ${:certs}/`${:location}/bin/openssl x509 -hash -noout -in $i`.0
......
Styling with Markdown is supported
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!